Package com.microblink.blinkid.view

# Class BaseCameraView.BaseCameraListener

java.lang.Object
com.microblink.blinkid.view.BaseCameraView.BaseCameraListener

All Implemented Interfaces:
  `AutofocusListener`, `com.microblink.blinkid.hardware.camera.CameraListener`

Enclosing class:
  BaseCameraView

protected abstract class BaseCameraView.BaseCameraListener extends Object implements com.microblink.blinkid.hardware.camera.CameraListener

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BaseCameraListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `onAutofocusFailed()`
  This method will be called when camera focusing has failed.
  `final void`
  `onAutofocusStarted(android.graphics.Rect[] areas)`
  This method will be called when camera focusing has started.
  `final void`
  `onAutofocusStopped(android.graphics.Rect[] areas)`
  This method will be called when camera focusing has stopped.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.microblink.blinkid.hardware.camera.CameraListener

  `canReceiveFrame, onCameraFrame, onHighResFrame`

- ## Constructor Details

  - ### BaseCameraListener

    protected BaseCameraListener()

- ## Method Details

  - ### onAutofocusFailed

    public final void onAutofocusFailed()
    Description copied from interface: `AutofocusListener`
    This method will be called when camera focusing has failed. Camera manager usually tries different focusing strategies and this method is called when all those strategies fail to indicate that either object on which camera is being focused is too close or ambient light conditions are poor.
    Specified by:
      `onAutofocusFailed` in interface `AutofocusListener`

  - ### onAutofocusStarted

    public final void onAutofocusStarted(android.graphics.Rect[] areas)
    Description copied from interface: `AutofocusListener`
    This method will be called when camera focusing has started. You can utilize this method to draw focusing animation on UI.
    Specified by:
      `onAutofocusStarted` in interface `AutofocusListener`
    Parameters:
      `areas` - Areas where focus is being measured. Null on devices that do not support fine-grained camera control

  - ### onAutofocusStopped

    public final void onAutofocusStopped(android.graphics.Rect[] areas)
    Description copied from interface: `AutofocusListener`
    This method will be called when camera focusing has stopped. You can utilize this method to remove focusing animation from UI.
    Specified by:
      `onAutofocusStopped` in interface `AutofocusListener`
    Parameters:
      `areas` - Areas where focus is being measured. Null on devices that do not support fine-grained camera control